Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.gradle.api.plugins.quality
[Java] Interface PmdReports

    org.gradle.api.NamedDomainObjectCollection
      org.gradle.api.reporting.ReportContainer
          org.gradle.api.NamedDomainObjectSet
              org.gradle.util.Configurable
                  java.lang.Iterable
                      org.gradle.api.plugins.quality.PmdReports
                          org.gradle.api.DomainObjectCollection
                              java.util.Collection

All Superinterfaces:
  NamedDomainObjectCollection, ReportContainer, NamedDomainObjectSet, Configurable, Iterable, DomainObjectCollection, Collection

    public interface PmdReports
    extends ReportContainer

The reporting configuration for the the Pmd task.

Method Summary
`SingleFileReport` | `getHtml()` The pmd (single file) html report
`SingleFileReport` | `getXml()` The pmd (single file) xml report

Methods inherited from interface ReportContainer
getEnabled

Methods inherited from interface NamedDomainObjectSet
findAll, matching, matching, withType

Method Detail

### getHtml

    public SingleFileReport getHtml()

  The pmd (single file) html report
  Returns:
    The pmd (single file) html report

### getXml

    public SingleFileReport getXml()

  The pmd (single file) xml report
  Returns:
    The pmd (single file) xml report

Gradle API 1.1-rc-1